summarylogtreecommitdiffstats
path: root/electron-calculator.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 15:05:58 +0800
committerzxp198210052024-03-22 15:05:58 +0800
commitc353904867aa766a377692d30ff1d76d8f3a2464 (patch)
tree8f245cf6b0c1f1078c71299b8ce4461591f54792 /electron-calculator.sh
parent26cb11003e2d0959c1c2f655fd0f47c93fd37aab (diff)
downloadaur-electron-calculator-bin.tar.gz
fix errors
Diffstat (limited to 'electron-calculator.sh')
-rw-r--r--electron-calculator.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/electron-calculator.sh b/electron-calculator.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/electron-calculator.sh
+++ b/electron-calculator.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file